function  isin = isinpolylarge(x,y,xp,yp)
%ISINPOLYLARGE - indicate if points are inside a polygon
%
%   Usage:
%      isin = isinpolylarge(x,y,xp,yp)
%
%   See also ISINPLOY

size=10000;
num=floor(length(x)/size);
isin=zeros(length(x),1);

for i=1:num,
	disp(i);
	isin((i-1)*size+1:i*size)=isinpoly(x((i-1)*size+1:i*size),y((i-1)*size+1:i*size),xp,yp);
end
isin(num*size+1:length(x))=isinpoly(x(num*size+1:length(x)),x(num*size+1:length(x)),xp,yp);

